using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.AutoPrint.Machine
{
    public class DecodeUtil
    {
        public static string CodeTypeToString(int type)
        {
            string codetype = "";
            switch (type)
            {
                case 1001:
                    codetype = "单场";
                    break;
                case 2001:
                    codetype = "2x1";
                    break;

                case 3001:
                    codetype = "3x1";
                    break;
                case 3003:
                    codetype = "3x3";
                    break;
                case 3004:
                    codetype = "3x4";
                    break;

                case 4001:
                    codetype = "4x1";
                    break;
                case 4004:
                    codetype = "4x4";
                    break;
                case 4005:
                    codetype = "4x5";
                    break;
                case 4006:
                    codetype = "4x6";
                    break;
                case 4011:
                    codetype = "4x11";
                    break;

                case 5001:
                    codetype = "5x1";
                    break;
                case 5005:
                    codetype = "5x5";
                    break;
                case 5006:
                    codetype = "5x6";
                    break;
                case 5010:
                    codetype = "5x10";
                    break;
                case 5016:
                    codetype = "5x16";
                    break;
                case 5020:
                    codetype = "5x20";
                    break;
                case 5026:
                    codetype = "5x26";
                    break;

                case 6001:
                    codetype = "6x1";
                    break;
                case 6006:
                    codetype = "6x6";
                    break;
                case 6007:
                    codetype = "6x7";
                    break;
                case 6015:
                    codetype = "6x15";
                    break;
                case 6020:
                    codetype = "6x20";
                    break;
                case 6022:
                    codetype = "6x22";
                    break;
                case 6035:
                    codetype = "6x35";
                    break;
                case 6042:
                    codetype = "6x42";
                    break;
                case 6050:
                    codetype = "6x50";
                    break;
                case 6057:
                    codetype = "6x57";
                    break;

                case 7001:
                    codetype = "7x1";
                    break;
                case 7007:
                    codetype = "7x7";
                    break;
                case 7008:
                    codetype = "7x8";
                    break;
                case 7021:
                    codetype = "7x21";
                    break;
                case 7035:
                    codetype = "7x35";
                    break;
                case 7120:
                    codetype = "7x120";
                    break;
                case 8001:
                    codetype = "8x1";
                    break;
                case 8008:
                    codetype = "8x8";
                    break;
                case 8009:
                    codetype = "8x9";
                    break;
                case 8028:
                    codetype = "8x28";
                    break;
                case 8056:
                    codetype = "8x56";
                    break;
                case 8070:
                    codetype = "8x70";
                    break;
                case 8247:
                    codetype = "8x247";
                    break;
                default:
                    throw new Exception(type + "号码类型未定义");
            }
            return codetype;
        }
    }
}
